import request from '@/utils/request'

// 查询industry列表
export function listIndustry(query) {
  return request({
    url: '/industry/industry/list',
    method: 'get',
    params: query
  })
}

// 查询industry详细
export function getIndustry(id) {
  return request({
    url: '/industry/industry/' + id,
    method: 'get'
  })
}

// 新增industry
export function addIndustry(data) {
  return request({
    url: '/industry/industry',
    method: 'post',
    data: data
  })
}

// 修改industry
export function updateIndustry(data) {
  return request({
    url: '/industry/industry',
    method: 'put',
    data: data
  })
}

// 删除industry
export function delIndustry(id) {
  return request({
    url: '/industry/industry/' + id,
    method: 'delete'
  })
}
